# Concept MutableForwardIteratorConcept
A Forward Iterator that allows dereferenced assignment.

Extends | ForwardIteratorConcept, OutputIteratorConcept
All Extended | CopyConstructibleConcept, DefaultConstructibleConcept, EqualityComparableConcept, ForwardIteratorConcept, InputIteratorConcept, IteratorAssociatedTypesConcept, OutputIteratorConcept
All Subcl's | MutableRootedIteratorConcept
Defined in | <seqan/basic.h>
Signature | ``

## Detailed Description

The SeqAn iterators mirror the definitions from ConceptC++.

## Member Function Overview

### Member Functions Inherited From EqualityComparableConcept

- `operator!=`
- `operator==`

## Interface Function Overview

### Interface Functions Inherited From InputIteratorConcept

- `goNext`
- `operator++(prefix)`
- `operator++(suffix)`
- `operator->`

### Interface Functions Inherited From IteratorAssociatedTypesConcept

- `getValue`
- `operator*`
- `value`

### Interface Functions Inherited From OutputIteratorConcept

- `assignValue`
- `goNext`
- `moveValue`
- `operator++(prefix)`
- `operator++(suffix)`
- `writeValue`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From IteratorAssociatedTypesConcept

- `Difference`
- `GetValue`
- `Pointer`
- `Reference`
- `Value`

#### Dox Sources

    /*!
     * @concept MutableForwardIteratorConcept
     *
     * @headerfile <seqan/basic.h>
     *
     * @extends ForwardIteratorConcept
     * @extends OutputIteratorConcept
     *
     * @brief A @link ForwardIteratorConcept Forward Iterator @endlink that allows
     *        dereferenced assignment.
     *
     * The SeqAn iterators mirror the definitions from <a href="http://generic-progr
     * amming.org/languages/conceptcpp/concept_web.php?header=iterator">ConceptC++</
     * a>.
     */